<?php
include("../../XUploadFiles_php/xu_class.php");
$myUpload = new XUpload_class;

$myUpload->SetOverlayMode(true); // 覆盖同名文件
$myUpload->InitParameters();



//zwj
		//zwj文件名替换
		@$zwjfilename = GetFilename($_POST['xu_filename']);

//zwj




if ($myUpload->IsUploadFile()) {
	// 将文件保存在文件夹 demo/myfiles 下
	
	//zwj
	$filename = $myUpload->CreateFileName("../../upload","upfile2",$zwjfilename);
	
	
	if ($filename != "") $filename = $myUpload->SaveToFile($filename);
	if ($filename != "") {
		$filename = $myUpload->CreateFileURL("../../upload","upfile2",$filename);
		        
				//zwj
				$filename = str_replace("../", "", $filename);
				$filename = str_replace("upload/", "", $filename);

		$myUpload->Out($filename);
	}
}



//zwj

function GetFilename($filename){

$filetype = GetFileType($filename);

mt_srand(make_seed());
$randval = mt_rand();

if($randval<1000){$randval *= 1000;}
$randval = substr(strrev($randval),-4);
			
$filename1 = date('YmdHis')."-".$randval;

$filename  = $filename1.".".$filetype;

return $filename; 
}

/*
作用：取得文件后缀名
GetFileType
用法：GetFiletype($filename)
*/

function GetFileType($filename) {

    if (substr_count($filename, ".") == 0) {        // 检查文件名中是否有.号。

        return;                // 返回空

    } else if (substr($filename, -1) == ".") {        // 检查是否以.结尾，即无扩展名

        return;                // 返回空

    } else {
        $filetype = strrchr ($filename, ".");    // 从.号处切割
        $filetype = substr($filetype, 1);    // 去除.号
        $filetype = strtolower($filetype);    //把扩展名转换成小写字母
        return $filetype;            // 返回
    }
}

function make_seed() {
    list($usec, $sec) = explode(' ', microtime());
    return (float) $sec + ((float) $usec * 100000);
}
?>